Draft Move/es: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/es|Name=Draft_Move|Workbenches=Croquis|MenuLocation=Croquis -> Mover|Shortcut=M V}}")
(Created page with "==Descripción==")
Line 1: Line 1:
{{GuiCommand/es|Name=Draft_Move|Workbenches=[[Draft Module/es|Croquis]]|MenuLocation=Croquis -> Mover|Shortcut=M V}}
{{GuiCommand/es|Name=Draft_Move|Workbenches=[[Draft Module/es|Croquis]]|MenuLocation=Croquis -> Mover|Shortcut=M V}}


==Description==
==Descripción==


The Move tool moves or copies the selected objects from one point to another on the current [[Draft Workingplane|work plane]]. If no object is selected, you will be invited to select one.
The Move tool moves or copies the selected objects from one point to another on the current [[Draft Workingplane|work plane]]. If no object is selected, you will be invited to select one.

Revision as of 15:22, 13 February 2014

Draft_Move

Ubicación en el Menú
Croquis -> Mover
Entornos de trabajo
Croquis
Atajo de teclado por defecto
M V
Introducido en versión
-
Ver también
Ninguno

Descripción

The Move tool moves or copies the selected objects from one point to another on the current work plane. If no object is selected, you will be invited to select one.

How to use

  1. Select objects you wish to move or copy
  2. Press the Draft Move button, or press M then V keys
  3. Click a first point on the 3D view, or type a coordinate
  4. Click another point on the 3D view, or type a coordinate

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Move tool will restart after you finish or close it, allowing you to move or copy the objects another time without pressing the Move button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Move tool can by used in macros and from the python console by using the following function:

 move (FreeCAD.Object or list, Vector, [copymode])
  • Moves the given object or the objects contained in the given list in the direction and distance indicated by the given vector.
  • If copymode is True, the actual objects are not moved, but copies are created instead. Returns the object(s) (or their copies if copymode was True)
  • A list of the moved object (or the copies) is returned

Example:

 import FreeCAD,Draft
 Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))